MACRO(CREA_FIND_AND_USE_VTK)
  #---------------------------------------------------------------------------
  IF(NOT VTK_FOUND)
    # Search VTK
    FIND_PACKAGE(VTK)
    # If vtk found
    IF(VTK_FOUND)
      MESSAGE ( STATUS "=======================================")
      MESSAGE ( STATUS "Looking for VTK... found")
      MESSAGE ( STATUS "* Dir     = ${VTK_DIR}")
      MESSAGE ( STATUS "* Version = ${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}.${VTK_BUILD_VERSION}")
      SET(VTK_BUILD_SETTINGS_FILE OFF)      
	INCLUDE(${VTK_USE_FILE})


      CREA_DEFINE( USE_VTK )
      CREA_DEFINE( _USE_VTK_ )
      SET(VTK_LIBRARIES
	vtkCommon     # Mandatory
	vtkFiltering  # vtkImageData
	vtkRendering  # vtkProp3D
	vtkWidgets    # vtkImagePlaneWidget
	vtkIO         # vtkMetaImageReader/Writer
	vtkImaging    # filters such as vtkImageAnisotropicDiffusion3D
	vtkGraphics   # vtkContourFilter, sources
	vtkVolumeRendering # Mappers 
	vtkGenericFiltering
	vtkHybrid
#	vtkInfovis
#	vtkViews
	)
      IF(NOT USE_ITK)
	SET(VTK_LIBRARIES ${VTK_LIBRARIES} vtkIO)
      ENDIF(NOT USE_ITK)
      MARK_AS_ADVANCED(VTK_DIR)
    ELSE(VTK_FOUND)
      message(FATAL_ERROR "VTK_DIR not found")
    ENDIF(VTK_FOUND)
  ENDIF(NOT VTK_FOUND)  
  #---------------------------------------------------------------------------
ENDMACRO(CREA_FIND_AND_USE_VTK)
